Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85074 - ssh sessions to Solaris 2.6 freeze
Summary: ssh sessions to Solaris 2.6 freeze
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-25 12:20 UTC by Ted Kaczmarek
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 03:39:01 UTC


Attachments (Terms of Use)
capture of hosed session (deleted)
2003-02-25 12:47 UTC, Ted Kaczmarek
no flags Details

Description Ted Kaczmarek 2003-02-25 12:20:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.8 (X11; Linux i686; U;) Gecko/20030212

Description of problem:
ssh sessions to Solaris 2.6 freeze

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open xterm
2.ssh to Solaris 2.6
3.do a who
    

Actual Results:  session hangs

Expected Results:  terminal output comes back

Additional info:

This ssh session I am testing with goes through a cipe tunnel.

http://marc.theaimsgroup.com/?l=linux-kernel&m=104379927313139&w=2

I also open a bug on this same problem when testing 2.5.59 out. The above link
was emailed to me as a fix. I will try to patch when I get some time and supply
my results.

Comment 1 Arjan van de Ven 2003-02-25 12:22:25 UTC
that fix is supposed to be in the more recent phoebe kernels....

Comment 2 Ted Kaczmarek 2003-02-25 12:43:23 UTC
Linux nitremb22 2.4.20-2.24, doesn't look that way, the problem still occurs,
but maybe  a little less frequently. I will check source later. Have etheareal
capture 
of hosed session. In this case who, ls -la worked, butb then trying to cat the
messages log hosed it.

Comment 3 Ted Kaczmarek 2003-02-25 12:47:27 UTC
Created attachment 90347 [details]
capture of hosed session

Hope this helps.

Comment 4 Ted Kaczmarek 2003-04-02 03:39:01 UTC
I dug a little deeper and it appears that the problem has nothing to do with the
SA. I am able to reproduce with any tcp sessions that go through the cipe
tunnel.  Sorry for not updating this sooner. And yes that patch is definelty
applied in 
2.4.20-2.54. 



Note You need to log in before you can comment on or make changes to this bug.